Bug 168214 - Grub fails to load when harddrive configuration changes
Grub fails to load when harddrive configuration changes
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-13 11:57 EDT by Julian Ragan
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-19 18:59:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Julian Ragan 2005-09-13 11:57:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; pl-PL; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
The problem is that when I change the hardrive configuration on my HPT370 then Grub fails to run the boot menu. 


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install fedora
2.remove (or add) the fatal drive
3.
  

Actual Results:  Grub fails to show the actual boot menu.
at first time it displayed (when the drive was removed) "Grub harddrive error"
Fixed with full reinstalation of fedora (without the disk as it was neede elsewhere)
At second time it displayed (when the feral disk was connected back) "Grub"


Expected Results:  Grub should have shown the menu

Additional info:

My config:
Integrated IDE Controller (Nforce 2 chipset):
Primary ide: 80gb samsung (with windows) & liteon DVDRW (slave);
Secondary ide: Sony DVD reader (slave, master is for guest harddrive;
HPT370 (used as IDE controller):
Primary Master: 20 gb seagate (removable - cause of the problem)
Secondary Master: 40 gb seagate (with linux)
Now that I think about it, the real cause of this problem is that the removable drive is before linux drive and when I change the config - the id for the disks changes as well, therefore, grub searches for linux partition and is unable to find it and fails to handle such error, the only workaround I found is to reinstal grub (which forces me to reinstall the whole fedora), this is most propably due to my inexperience with linux as I'm sure that there are easier ways to change grub config (however not from grub level). I will later try to change the configuration of my harddrives so that the two disks id wouldn't change and reinstal fedora one more time to see the results.
Comment 1 Julian Ragan 2005-09-13 14:10:19 EDT
I tried changing the order of the drives on HPT370 controller.
The result is failure. It seems that grub simply fails when I add the third
drive. It hangs displaying "Grub" instead of boot menu. No action is possible.
Also on the disk that causes the grub problem I have a NT 4.0 installed but it's
not bootable on my system.

Comment 2 Christian Iseli 2007-01-22 06:51:49 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Jon Stanley 2008-02-19 18:59:49 EST
closing per previous note

Note You need to log in before you can comment on or make changes to this bug.